<div *ngIf="author">
  <mat-form-field>
    <mat-label>
      First Name
    </mat-label>
    <input matInput [(ngModel)]="author.firstName" type="text">
  </mat-form-field>
  <mat-form-field>
    <mat-label>
      Last Name
    </mat-label>
    <input matInput [(ngModel)]="author.lastName" type="text">
  </mat-form-field>
  <mat-form-field>
    <mat-label>
      Balance
    </mat-label>
    <input matInput [(ngModel)]="author.balance" type="number">
  </mat-form-field>
  <mat-form-field>
    <mat-label>
      Birth Date
    </mat-label>
    <input matInput [(ngModel)]="author.birthDate" type="date">
  </mat-form-field>
  <button mat-raised-button color="primary" (click)="saveAuthor(author)">Update</button>
</div>
